// 001 u_c_nextord_module
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_c_nextord_module;
  interface
    uses Classes, Db, IBCustomDataSet, u_c_nextord;
    
    type c_nextord_module= Class(tComponent)
                             _nextord: c_nextord;
                             _nextord_datasource: tDataSource;
                           
                             constructor create_nextord_module(p_c_owner: tComponent;
                               p_select_sql: String);
                             procedure _open_dataset();
                             procedure _close_dataset();
                           end; // c_nextord_module
  
  implementation
      uses u_dm_database;
    
    // -- c_nextord_module
    
    Constructor c_nextord_module.create_nextord_module(p_c_owner: tComponent;
        p_select_sql: String);
      begin
        Inherited Create(p_c_owner);
        
        _nextord:= c_nextord.create_nextord(Self, dm_database.IbDataBase1, p_select_sql);
        
        // -- create and link a datasource
        _nextord_datasource:= tDataSource.Create(Self);
        _nextord_datasource.DataSet:= _nextord;
      end; // create_nextord_module
    
    procedure c_nextord_module._open_dataset();
      begin
        _nextord.open_dataset();
      end; // _open_dataset
    
    procedure c_nextord_module._close_dataset();
      begin
        _nextord.Close();
      end; // _close_dataset
  
  end.
