// 001 u_c_vendors_module
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_c_vendors_module;
  interface
    uses Classes, Db, IBCustomDataSet, u_c_vendors;
    
    type c_vendors_module= Class(tComponent)
                             _vendors: c_vendors;
                             _vendors_datasource: tDataSource;
                           
                             constructor create_vendors_module(p_c_owner: tComponent;
                               p_select_sql: String);
                             procedure _open_dataset();
                             procedure _close_dataset();
                           end; // c_vendors_module
  
  implementation
      uses u_dm_database;
    
    // -- c_vendors_module
    
    Constructor c_vendors_module.create_vendors_module(p_c_owner: tComponent;
        p_select_sql: String);
      begin
        Inherited Create(p_c_owner);
        
        _vendors:= c_vendors.create_vendors(Self, dm_database.IbDataBase1, p_select_sql);
        
        // -- create and link a datasource
        _vendors_datasource:= tDataSource.Create(Self);
        _vendors_datasource.DataSet:= _vendors;
      end; // create_vendors_module
    
    procedure c_vendors_module._open_dataset();
      begin
        _vendors.open_dataset();
      end; // _open_dataset
    
    procedure c_vendors_module._close_dataset();
      begin
        _vendors.Close();
      end; // _close_dataset
  
  end.
