// 002 u_f_edit_nextord
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_f_edit_nextord;
  interface
    uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms
        , Dialogs, StdCtrls, Mask, ExtCtrls, DBCtrls, Grids, DBGrids, DB, IBCustomDataSet
        , u_c_nextord, u_c_nextord_module
        ;
        
    type
      Tedit_nextord_form= class(TForm)
          DBGrid1: TDBGrid;
          DBNavigator1: TDBNavigator;
          db_NEWKEY_edit: TDBEdit;
          procedure FormCreate(Sender: TObject);
        private
        public
          m_c_nextord_module: c_nextord_module;
          
          // -- references
          nextord_e: c_nextord;
          
          procedure initialize_local_references;
          procedure link_controls;
          procedure open_dataset;
          procedure close_dataset;
          procedure open_at(p_NEWKEY: String);
      end; // Tedit_nextord_form
      
    var edit_nextord_form: Tedit_nextord_form;
    
  implementation
    uses // u_display
        //,
        u_dm_database
        ;
        
    {$R *.dfm}
    
    procedure Tedit_nextord_form.FormCreate(Sender: TObject);
      begin
        m_c_nextord_module:= c_nextord_module.create_nextord_module(Self, 'SELECT * FROM nextord');
      end; // FormCreate
      
    procedure Tedit_nextord_form.initialize_local_references;
      begin
        with m_c_nextord_module do
        begin
          nextord_e:= _nextord;
        end; // with m_c_nextord_module
      end; // initialize_local_references
      
    procedure Tedit_nextord_form.link_controls;
      begin
        with m_c_nextord_module do
        begin
          // -- link all the db_xxx datasources
          db_NEWKEY_edit.DataSource:= _nextord_datasource;
          
          dbGrid1.DataSource:= _nextord_datasource;
          dbNavigator1.DataSource:= _nextord_datasource;
        end; // with m_c_nextord_module do
      end; // link_controls
      
    procedure Tedit_nextord_form.open_dataset;
      begin
        m_c_nextord_module._open_dataset();
        initialize_local_references;
        link_controls;
      end; // open_dataset
      
    procedure Tedit_nextord_form.close_dataset;
      begin
        nextord_e.Close();
      end; // close_dataset
      
    procedure Tedit_nextord_form.open_at(p_NEWKEY: String);
      begin
        open_dataset();
        nextord_e.Locate('NEWKEY', p_NEWKEY, []);
        ShowModal;
        close_dataset();
      end; // open_at
      
      
  end.
