// 002 u_f_edit_vendors
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_f_edit_vendors;
  interface
    uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms
        , Dialogs, StdCtrls, Mask, ExtCtrls, DBCtrls, Grids, DBGrids, DB, IBCustomDataSet
        , u_c_vendors, u_c_vendors_module
        ;
        
    type
      Tedit_vendors_form= class(TForm)
          DBGrid1: TDBGrid;
          DBNavigator1: TDBNavigator;
          db_VENDORNO_edit: TDBEdit;
          procedure FormCreate(Sender: TObject);
        private
        public
          m_c_vendors_module: c_vendors_module;
          
          // -- references
          vendors_e: c_vendors;
          
          procedure initialize_local_references;
          procedure link_controls;
          procedure open_dataset;
          procedure close_dataset;
          procedure open_at(p_VENDORNO: String);
      end; // Tedit_vendors_form
      
    var edit_vendors_form: Tedit_vendors_form;
    
  implementation
    uses // u_display
        //,
        u_dm_database
        ;
        
    {$R *.dfm}
    
    procedure Tedit_vendors_form.FormCreate(Sender: TObject);
      begin
        m_c_vendors_module:= c_vendors_module.create_vendors_module(Self, 'SELECT * FROM vendors');
      end; // FormCreate
      
    procedure Tedit_vendors_form.initialize_local_references;
      begin
        with m_c_vendors_module do
        begin
          vendors_e:= _vendors;
        end; // with m_c_vendors_module
      end; // initialize_local_references
      
    procedure Tedit_vendors_form.link_controls;
      begin
        with m_c_vendors_module do
        begin
          // -- link all the db_xxx datasources
          db_VENDORNO_edit.DataSource:= _vendors_datasource;
          
          dbGrid1.DataSource:= _vendors_datasource;
          dbNavigator1.DataSource:= _vendors_datasource;
        end; // with m_c_vendors_module do
      end; // link_controls
      
    procedure Tedit_vendors_form.open_dataset;
      begin
        m_c_vendors_module._open_dataset();
        initialize_local_references;
        link_controls;
      end; // open_dataset
      
    procedure Tedit_vendors_form.close_dataset;
      begin
        vendors_e.Close();
      end; // close_dataset
      
    procedure Tedit_vendors_form.open_at(p_VENDORNO: String);
      begin
        open_dataset();
        vendors_e.Locate('VENDORNO', p_VENDORNO, []);
        ShowModal;
        close_dataset();
      end; // open_at
      
      
  end.
