// 001 u_dm_database
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_dm_database;

interface

uses
  SysUtils, Classes, IBDatabase, DB, IBSQL;

type
  Tdm_database = class(TDataModule)
    IBDatabase1: TIBDatabase;
    IBTransaction1: TIBTransaction;
    IBSQL1: TIBSQL;
  private
    { Private declarations }
  public
    function f_get_next_key(p_generator_name: String): Integer;
  end;

var
  dm_database: Tdm_database;

implementation

{$R *.dfm}

    function Tdm_database.f_get_next_key(p_generator_name: String): Integer;
      begin
        with IbSql1, Sql do
        begin
          Close;
          Clear;
          Add('SELECT GEN_ID('+ UpperCase(p_generator_name)+ ', 1) FROM RDB$DATABASE');
          ExecQuery;
          Result:= Fields[0].AsInteger;
        end; // with IbSql1, Sql
      end; // f_get_next_key

    end.
