// 002 u_f_edit_customer
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_f_edit_customer;
  interface
    uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms
        , Dialogs, StdCtrls, Mask, ExtCtrls, DBCtrls, Grids, DBGrids, DB, IBCustomDataSet
        , u_c_customer, u_c_customer_module
        ;
        
    type
      Tedit_customer_form= class(TForm)
          DBGrid1: TDBGrid;
          DBNavigator1: TDBNavigator;
          db_CUSTNO_edit: TDBEdit;
          procedure FormCreate(Sender: TObject);
        private
        public
          m_c_customer_module: c_customer_module;
          
          // -- references
          customer_e: c_customer;
          
          procedure initialize_local_references;
          procedure link_controls;
          procedure open_dataset;
          procedure close_dataset;
          procedure open_at(p_CUSTNO: String);
      end; // Tedit_customer_form
      
    var edit_customer_form: Tedit_customer_form;
    
  implementation
    uses // u_display
        //,
        u_dm_database
        ;
        
    {$R *.dfm}
    
    procedure Tedit_customer_form.FormCreate(Sender: TObject);
      begin
        m_c_customer_module:= c_customer_module.create_customer_module(Self, 'SELECT * FROM customer');
      end; // FormCreate
      
    procedure Tedit_customer_form.initialize_local_references;
      begin
        with m_c_customer_module do
        begin
          customer_e:= _customer;
        end; // with m_c_customer_module
      end; // initialize_local_references
      
    procedure Tedit_customer_form.link_controls;
      begin
        with m_c_customer_module do
        begin
          // -- link all the db_xxx datasources
          db_CUSTNO_edit.DataSource:= _customer_datasource;
          
          dbGrid1.DataSource:= _customer_datasource;
          dbNavigator1.DataSource:= _customer_datasource;
        end; // with m_c_customer_module do
      end; // link_controls
      
    procedure Tedit_customer_form.open_dataset;
      begin
        m_c_customer_module._open_dataset();
        initialize_local_references;
        link_controls;
      end; // open_dataset
      
    procedure Tedit_customer_form.close_dataset;
      begin
        customer_e.Close();
      end; // close_dataset
      
    procedure Tedit_customer_form.open_at(p_CUSTNO: String);
      begin
        open_dataset();
        customer_e.Locate('CUSTNO', p_CUSTNO, []);
        ShowModal;
        close_dataset();
      end; // open_at
      
      
  end.
