// 002 u_f_edit_nextcust
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_f_edit_nextcust;
  interface
    uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms
        , Dialogs, StdCtrls, Mask, ExtCtrls, DBCtrls, Grids, DBGrids, DB, IBCustomDataSet
        , u_c_nextcust, u_c_nextcust_module
        ;
        
    type
      Tedit_nextcust_form= class(TForm)
          DBGrid1: TDBGrid;
          DBNavigator1: TDBNavigator;
          db_NEWCUST_edit: TDBEdit;
          procedure FormCreate(Sender: TObject);
        private
        public
          m_c_nextcust_module: c_nextcust_module;
          
          // -- references
          nextcust_e: c_nextcust;
          
          procedure initialize_local_references;
          procedure link_controls;
          procedure open_dataset;
          procedure close_dataset;
          procedure open_at(p_NEWCUST: String);
      end; // Tedit_nextcust_form
      
    var edit_nextcust_form: Tedit_nextcust_form;
    
  implementation
    uses // u_display
        //,
        u_dm_database
        ;
        
    {$R *.dfm}
    
    procedure Tedit_nextcust_form.FormCreate(Sender: TObject);
      begin
        m_c_nextcust_module:= c_nextcust_module.create_nextcust_module(Self, 'SELECT * FROM nextcust');
      end; // FormCreate
      
    procedure Tedit_nextcust_form.initialize_local_references;
      begin
        with m_c_nextcust_module do
        begin
          nextcust_e:= _nextcust;
        end; // with m_c_nextcust_module
      end; // initialize_local_references
      
    procedure Tedit_nextcust_form.link_controls;
      begin
        with m_c_nextcust_module do
        begin
          // -- link all the db_xxx datasources
          db_NEWCUST_edit.DataSource:= _nextcust_datasource;
          
          dbGrid1.DataSource:= _nextcust_datasource;
          dbNavigator1.DataSource:= _nextcust_datasource;
        end; // with m_c_nextcust_module do
      end; // link_controls
      
    procedure Tedit_nextcust_form.open_dataset;
      begin
        m_c_nextcust_module._open_dataset();
        initialize_local_references;
        link_controls;
      end; // open_dataset
      
    procedure Tedit_nextcust_form.close_dataset;
      begin
        nextcust_e.Close();
      end; // close_dataset
      
    procedure Tedit_nextcust_form.open_at(p_NEWCUST: String);
      begin
        open_dataset();
        nextcust_e.Locate('NEWCUST', p_NEWCUST, []);
        ShowModal;
        close_dataset();
      end; // open_at
      
      
  end.
