// 001 u_test_delphi_business_objects
// 01 oct 2006

// -- (C) John COLIBRI 2006
// -- documentation: http://www.jcolibri.com

(*$r+*)

unit u_test_delphi_business_objects;
  interface
    uses
      Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
      Dialogs, StdCtrls, Mask, DBCtrls, Grids, DBGrids, DB, IBCustomDataSet,
      IBDatabase;
      
  type
    Ttest_form = class(TForm)
        customer_: TButton;
        employee_: TButton;
        items_: TButton;
        nextcust_: TButton;
        nextord_: TButton;
        orders_: TButton;
        parts_: TButton;
        vendors_: TButton;
        procedure customer_Click(Sender: TObject);
        procedure employee_Click(Sender: TObject);
        procedure items_Click(Sender: TObject);
        procedure nextcust_Click(Sender: TObject);
        procedure nextord_Click(Sender: TObject);
        procedure orders_Click(Sender: TObject);
        procedure parts_Click(Sender: TObject);
        procedure vendors_Click(Sender: TObject);
      private
      public
    end;
    
    var test_form: Ttest_form;
    
  implementation
    uses
      u_f_edit_customer
      , u_f_edit_employee
      , u_f_edit_items
      , u_f_edit_nextcust
      , u_f_edit_nextord
      , u_f_edit_orders
      , u_f_edit_parts
      , u_f_edit_vendors
      ;
    
    {$R *.dfm}
    
    procedure Ttest_form.customer_Click(Sender: TObject);
      begin
        with edit_customer_form do
        begin
          open_dataset();
          ShowModal;
          edit_customer_form.close_dataset();
        end; // with edit_customer_form
      end; // customer_Click
      
      procedure Ttest_form.employee_Click(Sender: TObject);
        begin
          with edit_employee_form do
          begin
            open_dataset();
            ShowModal;
            edit_employee_form.close_dataset();
          end; // with edit_employee_form
        end; // employee_Click
        
        procedure Ttest_form.items_Click(Sender: TObject);
          begin
            with edit_items_form do
            begin
              open_dataset();
              ShowModal;
              edit_items_form.close_dataset();
            end; // with edit_items_form
          end; // items_Click
          
          procedure Ttest_form.nextcust_Click(Sender: TObject);
            begin
              with edit_nextcust_form do
              begin
                open_dataset();
                ShowModal;
                edit_nextcust_form.close_dataset();
              end; // with edit_nextcust_form
            end; // nextcust_Click
            
            procedure Ttest_form.nextord_Click(Sender: TObject);
              begin
                with edit_nextord_form do
                begin
                  open_dataset();
                  ShowModal;
                  edit_nextord_form.close_dataset();
                end; // with edit_nextord_form
              end; // nextord_Click
              
              procedure Ttest_form.orders_Click(Sender: TObject);
                begin
                  with edit_orders_form do
                  begin
                    open_dataset();
                    ShowModal;
                    edit_orders_form.close_dataset();
                  end; // with edit_orders_form
                end; // orders_Click
                
                procedure Ttest_form.parts_Click(Sender: TObject);
                  begin
                    with edit_parts_form do
                    begin
                      open_dataset();
                      ShowModal;
                      edit_parts_form.close_dataset();
                    end; // with edit_parts_form
                  end; // parts_Click
                  
                  procedure Ttest_form.vendors_Click(Sender: TObject);
                    begin
                      with edit_vendors_form do
                      begin
                        open_dataset();
                        ShowModal;
                        edit_vendors_form.close_dataset();
                      end; // with edit_vendors_form
                    end; // vendors_Click
                    
              end.
